org.apache.ignite.spi.metric

## Interface HistogramMetric

All Superinterfaces:
  Metric, ObjectMetric<long[]>

All Known Implementing Classes:
  HistogramMetricImpl

    public interface HistogramMetric
    extends ObjectMetric<long[]>

Metrics API currently has an experimental state. The API is stable enough but can be changed in future releases.

Histogram metric calculates counts of measurements that gets into each bounds interval. Note, that `ObjectMetric.value()` will return array length of `bounds.length + 1`. Last element will contains count of measurements bigger then most right value of bounds.

### Method Summary

All Methods Instance Methods Abstract Methods
`long[]` `bounds()`

### Methods inherited from interface org.apache.ignite.spi.metric.ObjectMetric

`getAsString, type, value`

### Methods inherited from interface org.apache.ignite.spi.metric.Metric

`description, name, reset`

### Method Detail

#### bounds

    long[] bounds()

Returns:
  Bounds of this histogram.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020